Bug 191300 - CVE-2005-4798 nfs client: handle long symlinks properly
Summary: CVE-2005-4798 nfs client: handle long symlinks properly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,source=bugzilla,repor...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-10 16:48 UTC by Marcel Holtmann
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 18:00:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcel Holtmann 2006-05-10 16:48:15 UTC
Buffer overflow in NFS readlink handling in the Linux Kernel 2.4 up to 2.4.31
allows remote NFS servers to cause a denial of service via a long symlink.

More detailed description can be found in bug 169230.

Comment 1 Don Howard 2006-05-12 18:00:45 UTC
It looks like rhel2 gets this right:


        strlen = (u32*)res->buffer;
        /* Convert length of symlink */
        len = ntohl(*strlen);
        if (len > res->bufsiz - 5)
                len = res->bufsiz - 5;
        *strlen = len;
        /* NULL terminate the string we got */
        string = (char *)(strlen + 1);
        string[len] = 0;

(nfs2/3 on pensacola and derry are all similar)




Note You need to log in before you can comment on or make changes to this bug.